---
schema_version: "1"
id: 7e5a630c82b198ebde054fd4ae4c3904ff28c2fe001b9261df0c8b1b99a6783b
title: Get Related List Actions with URL Parameters
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_related_list.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_related_list.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: af8e42384e93f8284e7fc355e307848787a483891a2ae81d41a01f18d081ee13
description: Get the actions on related lists on a record detail page via URL parameters.
---
# Get Related List Actions with URL Parameters

Get the actions on related lists on a record detail page via URL parameters.

Resources

/ui-api/actions/record/${recordIds}/related-list/${relatedListId}

- recordIds—The 15 or 18 character ID of a record.
- relatedListId—(Optional) A related list ID. If this parameter isn’t specified, the request returns all related list actions for the specified record. To get actions for a batch of related lists, see [Get a Batch of Related List Actions with URL Parameters](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_related_lists_batch.htm "Get the actions on a batch of related lists for a record via URL parameters.").

Available Version

41.0

HTTP Method

GET

Example

As an example, let’s say we have an Account record detail page with a record ID of 001R0000003IDlwIAG. The page has some related lists, including tasks and events. To get information about all the related list actions on this page, make this request.

GET /services/data/v68.0/ui-api/actions/record/001R0000003IDlwIAG/related-list

The request returns a list of related list actions on the page and the URLs of the request and subrequests.

{
  "actions" : {
    "001R0000003IDlwIAG" : {
      "actions" : \[ {
        "actionListContext" : "RelatedList",
        "actionTarget" : null,
        "actionTargetType" : "Invoke",
        "apiName" : "NewTask",
        "externalId" : "00DR00000008n7M:001R0000003IDlwIAG::RelatedList:Phone:StandardButton:NewTask",
        "iconUrl" : "https://yourInstance.salesforce.com/img/icon/t4v35/action/new\_task\_120.png",
        "id" : "0JVR00000000036OAA",
        "isMassAction" : "false",
        "label" : "New Task",
        "primaryColor" : "4BC076",
        "relatedListRecordId" : null,
        "relatedSourceObject" : "OpenActivities",
        "section" : "Page",
        "sourceObject" : "001R0000003IDlwIAG",
        "subtype" : null,
        "targetObject" : "Task",
        "targetUrl" : null,
        "type" : "StandardButton"
      }, {
        "actionListContext" : "RelatedList",
        "actionTarget" : null,
        "actionTargetType" : "Invoke",
        "apiName" : "NewEvent",
        "externalId" : "00DR00000008n7M:001R0000003IDlwIAG::RelatedList:Phone:StandardButton:NewEvent",
        "iconUrl" : "https://yourInstance.salesforce.com/img/icon/t4v35/action/new\_event\_120.png",
        "id" : "0JVR00000000037OAA",
        "isMassAction" : "false",
        "label" : "New Event",
        "primaryColor" : "EB7092",
        "relatedListRecordId" : null,
        "relatedSourceObject" : "OpenActivities",
        "section" : "Page",
        "sourceObject" : "001R0000003IDlwIAG",
        "subtype" : null,
        "targetObject" : "Event",
        "targetUrl" : null,
        "type" : "StandardButton"
      }

... Additional actions removed for brevity ...

\],
      "links" : \[ \],
      "url" : "/services/data/v68.0/ui-api/actions/record/001R0000003IDlwIAG/related-list"
    }
  },
  "url" : "/services/data/v68.0/ui-api/actions/record/001R0000003IDlwIAG/related-list"
}

Request Parameters

<table class="featureTable sort_table" summary="">





              <thead class="thead sorted" align="left">
                <tr>
                  <th class="featureTableHeader vertical-align-top " id="d83528e145">Parameter Name</th>

                  <th class="featureTableHeader vertical-align-top " id="d83528e148">Type</th>

                  <th class="featureTableHeader vertical-align-top " id="d83528e151">Description</th>

                  <th class="featureTableHeader vertical-align-top " id="d83528e154">Required or Optional</th>

                  <th class="featureTableHeader vertical-align-top " id="d83528e157">Available Version</th>

                </tr>

              </thead>

              <tbody class="tbody">
                <tr>
                  <td class="entry" headers="d83528e145" data-title="Parameter Name"><samp class="codeph nolang">actionTypes</samp></td>

                  <td class="entry" headers="d83528e148" data-title="Type">String[]</td>

                  <td class="entry" headers="d83528e151" data-title="Description">
                    <p class="p">The action type. One or more of these values: </p>

                    <ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">CustomButton</samp>—A button that opens a
                        URL or Visualforce page or executes JavaScript.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">ProductivityAction</samp>—A pre-defined
                        Salesforce action, attached to a limited set of objects.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">QuickAction</samp>—A global or
                        object-specific action.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">StandardButton</samp>—A pre-defined
                        Salesforce button, such as <strong class="ph uicontrol">New</strong>,
                        <strong class="ph uicontrol">Edit</strong>, and <strong class="ph uicontrol">Delete</strong>.
                      </li>

                    </ul>

                  </td>

                  <td class="entry" headers="d83528e154" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d83528e157" data-title="Available Version">41.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d83528e145" data-title="Parameter Name"><samp class="codeph nolang">apiNames</samp></td>

                  <td class="entry" headers="d83528e148" data-title="Type">String[]</td>

                  <td class="entry" headers="d83528e151" data-title="Description">The API names of one or more actions to be retrieved. Use this parameter
                    only when passing <samp class="codeph nolang">retrievalMode=All</samp>. </td>

                  <td class="entry" headers="d83528e154" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d83528e157" data-title="Available Version">49.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d83528e145" data-title="Parameter Name"><samp class="codeph nolang">formFactor</samp></td>

                  <td class="entry" headers="d83528e148" data-title="Type">String</td>

                  <td class="entry" headers="d83528e151" data-title="Description">The layout display size. One of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">Large</samp>—(Default) Use this value to
                        get a layout for desktop display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Medium</samp>—Use this value to get a
                        layout for tablet display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Small</samp>—Use this value to get a
                        layout for phone display size.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d83528e154" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d83528e157" data-title="Available Version">41.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d83528e145" data-title="Parameter Name"><samp class="codeph nolang">retrievalMode</samp></td>

                  <td class="entry" headers="d83528e148" data-title="Type">String</td>

                  <td class="entry" headers="d83528e151" data-title="Description">When the action context is <samp class="codeph nolang">Record</samp>,
                    this parameter indicates which actions to retrieve from the record page. One
                    of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">All</samp>—Retrieves all actions specified
                        in the <samp class="codeph nolang">apiNames</samp> parameter.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">PageLayout</samp>—(Default) Retrieves
                        actions from the page layout.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d83528e154" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d83528e157" data-title="Available Version">49.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d83528e145" data-title="Parameter Name"><samp class="codeph nolang">sections</samp></td>

                  <td class="entry" headers="d83528e148" data-title="Type">String[]</td>

                  <td class="entry" headers="d83528e151" data-title="Description">The section of the user interface that the actions reside in. One or more
                    of these values: <ul class="ul bulletList">
                      <li class="li"><samp class="codeph nolang">ActivityComposer</samp></li>

                      <li class="li"><samp class="codeph nolang">CollaborateComposer</samp></li>

                      <li class="li"><samp class="codeph nolang">Page</samp></li>

                      <li class="li"><samp class="codeph nolang">SingleActionLinks</samp></li>

                    </ul>

                  </td>

                  <td class="entry" headers="d83528e154" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d83528e157" data-title="Available Version">41.0</td>

                </tr>

              </tbody>

            </table>

Response Body

[Action](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_action.htm#ui_api_responses_action "The actions for a single record or a collection of records.")